Summary:        Audio/Video Control library for IEEE-1394 devices
Name:           libavc1394
Version:        0.5.4
Release:    1%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            http://sourceforge.net/projects/libavc1394/
Source0:         https://sourceforge.net/projects/libavc1394/files/libavc1394/libavc1394-%{version}.tar.gz
Patch1:         libavc1394-%{version}-librom.patch
BuildRequires:  libraw1394-devel
BuildRequires:  chrpath, gcc
BuildRequires: make

ExcludeArch:    s390 s390x

%description
The libavc1394 library allows utilities to control IEEE-1394 devices
using the AV/C specification.  Audio/Video Control allows applications
to control devices like the tape on a VCR or camcorder.

%package devel
Summary: Development libs for libavc1394

Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel

%description devel
Development libraries required to build applications using libavc1394.

%prep
%autosetup -N
%patch1 -p1 -b .librom
chmod -x test/dvcont.c

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

chrpath -d %{buildroot}%{_libdir}/lib*
chrpath -d %{buildroot}%{_bindir}/*


%files
%doc AUTHORS NEWS README ChangeLog TODO
%license COPYING
%{_bindir}/dvcont
%{_bindir}/mkrfc2734
%{_bindir}/panelctl
%{_mandir}/man1/dvcont.1*
%{_mandir}/man1/panelctl.1*
%{_mandir}/man1/mkrfc2734.1*
%{_libdir}/libavc1394.so.*
%{_libdir}/librom1394.so.*

%files devel
%{_includedir}/libavc1394/
%{_libdir}/pkgconfig/libavc1394.pc
%{_libdir}/libavc1394.so
%{_libdir}/librom1394.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.4-1
- initial build
